/**************************************************************************************************
  Common.h
  Some common definitions.
**************************************************************************************************/
#ifndef COMMON_H
#define COMMON_H


// Defines

#define FALSE 0
#define TRUE 1

// Diagnostic output for I2C1
#define DEBUG 0          // Set to 0 to prevent diagnostic messages on UART6

#if DEBUG == 1
#define DEBUGOUT(c) UART6_PutQueue(c)
#else
#define DEBUGOUT(c) {}
#endif

// Diagnostic output for STMPE610
#define STMPEDEBUG 0     // Set to 0 to prevent diagnostic messages on UART6

#if STMPEDEBUG == 1
#define STMPEDEBUGOUT(c) UART6_PutQueue(c)
#else
#define STMPEDEBUGOUT(c) {}
#endif

// Diagnostic output for USB
#define USB_DEBUG 0      // Set to 0 to prevent diagnostic messages on USB

#if USB_DEBUG == 1
#define USB_DEBUGOUT(c) USB_PutQueue(c)
#else
#define USB_DEBUGOUT(c) {}
#endif

// Diagnostic messages for Si4703
#define PRINT 0          // Set to 0 to prevent diagnostic messages on UART6

#if PRINT == 1
#define PRINTOUT(c) UART6_PutQueue(c)
#else
#define PRINTOUT(c) {}
#endif




#define UseMikroE 1


#endif