#line 1 "C:/ARM Projects/MINI-M4 for STM32/Decoder/Decoder.c"
#line 1 "c:/arm projects/mini-m4 for stm32/decoder/usb_driver.h"
#line 11 "c:/arm projects/mini-m4 for stm32/decoder/usb_driver.h"
typedef char *pnt;


typedef struct USB_TxStruct {
 unsigned int in;
 unsigned int out;
 pnt q[ 32 ];
}USB_TxStruct;



void USB_Init(void);
void USB_TxQueueInit(void);
void USB_PutQueue(char *msg);
void USB_CheckOut(void);
void USB_CheckIn(void);





void WriteToMemo(char *msg, unsigned int Color);
void AppendToMemo(char *msg, unsigned int Color);
#line 1 "c:/arm projects/mini-m4 for stm32/decoder/timers.h"
#line 9 "c:/arm projects/mini-m4 for stm32/decoder/timers.h"
void Timer_Init();
void TimerCheck();
#line 31 "c:/arm projects/mini-m4 for stm32/decoder/timers.h"
struct timers {
 unsigned long int TimerField;
 unsigned short int Free;
};
#line 43 "c:/arm projects/mini-m4 for stm32/decoder/timers.h"
void init_timerpool(void);
#line 52 "c:/arm projects/mini-m4 for stm32/decoder/timers.h"
unsigned short int get_timer(void);
#line 61 "c:/arm projects/mini-m4 for stm32/decoder/timers.h"
void free_timer(unsigned short int nbr);
#line 71 "c:/arm projects/mini-m4 for stm32/decoder/timers.h"
void set_timer(unsigned short int nbr, unsigned long int tout);
#line 80 "c:/arm projects/mini-m4 for stm32/decoder/timers.h"
unsigned long int check_timer(unsigned short int nbr);
#line 89 "c:/arm projects/mini-m4 for stm32/decoder/timers.h"
void irqhandler_timer(void);
#line 1 "c:/arm projects/mini-m4 for stm32/decoder/quaddecoder.h"
#line 13 "c:/arm projects/mini-m4 for stm32/decoder/quaddecoder.h"
void Ext_Int_Init(void);

void Decoder_SM(void);
#line 30 "C:/ARM Projects/MINI-M4 for STM32/Decoder/Decoder.c"
unsigned short int MainTimer;





void main() {

 USB_Init();

 Timer_Init();
 MainTimer = get_timer();
 set_timer(MainTimer,2000);


 while (check_timer(MainTimer) != 0) {
 }
 USB_PutQueue("Started\r\n");

 Ext_Int_Init();



 EnableInterrupts();


 while (1) {

 USB_CheckIn();
 USB_CheckOut();

 TimerCheck();

 Decoder_SM();
 }
}
