#line 1 "C:/ARM Projects/MINI-M4 for STM32/Decoder/QuadDecoder.c"
#line 1 "c:/arm projects/mini-m4 for stm32/decoder/quaddecoder.h"
#line 13 "c:/arm projects/mini-m4 for stm32/decoder/quaddecoder.h"
void Ext_Int_Init(void);

void Decoder_SM(void);
#line 1 "c:/arm projects/mini-m4 for stm32/decoder/buffers.h"
#line 13 "c:/arm projects/mini-m4 for stm32/decoder/buffers.h"
char* GetBuffer(void);
#line 1 "c:/arm projects/mini-m4 for stm32/decoder/usb_driver.h"
#line 11 "c:/arm projects/mini-m4 for stm32/decoder/usb_driver.h"
typedef char *pnt;


typedef struct USB_TxStruct {
 unsigned int in;
 unsigned int out;
 pnt q[ 32 ];
}USB_TxStruct;



void USB_Init(void);
void USB_TxQueueInit(void);
void USB_PutQueue(char *msg);
void USB_CheckOut(void);
void USB_CheckIn(void);





void WriteToMemo(char *msg, unsigned int Color);
void AppendToMemo(char *msg, unsigned int Color);
#line 1 "c:/arm projects/mini-m4 for stm32/decoder/common.h"
#line 13 "C:/ARM Projects/MINI-M4 for STM32/Decoder/QuadDecoder.c"
char QD_State = 0x00;
char A = 0;
char B = 0;
unsigned int CountValue = 0;
#line 23 "C:/ARM Projects/MINI-M4 for STM32/Decoder/QuadDecoder.c"
void ExternalInterrupt0() iv IVT_INT_EXTI0 ics ICS_AUTO {

 PR0_bit = 1;

 if (IDR0_GPIOA_IDR_bit == 1) {
 A = 1;
  {} ;
 } else {
 A = 0;
  {} ;
 }
}

void ExternalInterrupt1() iv IVT_INT_EXTI1 ics ICS_AUTO {

 PR1_bit = 1;

 if (IDR1_GPIOA_IDR_bit == 1) {
 B = 1;
  {} ;
 } else {
 B = 0;
  {} ;
 }
}
#line 52 "C:/ARM Projects/MINI-M4 for STM32/Decoder/QuadDecoder.c"
void Ext_Int_Init(void) {
 char *BufNum;


 GPIO_Set_Pin_Mode(&GPIOA_BASE, _GPIO_PIN_0, _GPIO_CFG_MODE_INPUT | _GPIO_CFG_PULL_UP);


 GPIO_Set_Pin_Mode(&GPIOA_BASE, _GPIO_PIN_1, _GPIO_CFG_MODE_INPUT | _GPIO_CFG_PULL_UP);


 A = IDR0_GPIOA_IDR_bit;
 B = IDR1_GPIOA_IDR_bit;


 BufNum = GetBuffer();
 sprintf(BufNum,"A: %d  B: %d\r\n",A,B);
  {} ;


 if ((A == 0) && (B == 0))
 QD_State = 0x00;
 else if ((A == 1) && (B == 0))
 QD_State = 0x05;
 else if ((A == 1) && (B == 1))
 QD_State = 0x0F;
 else if ((A == 0) && (B == 1))
 QD_State = 0x0A;


 MR0_bit = 1;


 MR1_bit = 1;



 TR0_bit = 1;


 TR0_EXTI_FTSR_bit = 1;


 TR1_bit = 1;


 TR1_EXTI_FTSR_bit = 1;




 SYSCFGEN_bit = 1;


 SYSCFG_EXTICR1 = 0x00000000;


 NVIC_IntEnable(IVT_INT_EXTI0);
 NVIC_IntEnable(IVT_INT_EXTI1);

}
#line 116 "C:/ARM Projects/MINI-M4 for STM32/Decoder/QuadDecoder.c"
void CountUp(void) {
 char *BufNum;

 if (CountValue < 9999)
 CountValue += 1;
 else
 CountValue = 0;


 BufNum = GetBuffer();
 sprintf(BufNum,"CountValue: %d\r\n",CountValue);
 USB_PutQueue(BufNum);
}

void CountDown(void) {
 char *BufNum;

 if (CountValue > 0)
 CountValue -= 1;
 else
 CountValue = 9999;


 BufNum = GetBuffer();
 sprintf(BufNum,"CountValue: %d\r\n",CountValue);
 USB_PutQueue(BufNum);
}
#line 203 "C:/ARM Projects/MINI-M4 for STM32/Decoder/QuadDecoder.c"
void Decoder_SM(void) {

 switch (QD_State) {

 case 0x00:
 if (A && !B) {
  {} ;
 QD_State = 0x01;
 }
 if (!A && B) {
  {} ;
 QD_State = 0x08;
 }
 break;

 case 0x01:

 CountUp();

  {} ;
 QD_State = 0x05;
 break;

 case 0x02:

 CountUp();

  {} ;
 QD_State = 0x00;
 break;

 case 0x03:
 USB_PutQueue("Should not be in unused state 0x03");
 QD_State = 0x00;
 break;

 case 0x04:

 CountDown();

  {} ;
 QD_State = 0x00;
 break;

 case 0x05:
 if (A && B) {
  {} ;
 QD_State = 0x07;
 }
 if (!A && !B) {
  {} ;
 QD_State = 0x04;
 }
 break;

 case 0x06:
 USB_PutQueue("Should not be in unused state 0x06");
 QD_State = 0x00;
 break;

 case 0x07:

 CountUp();

  {} ;
 QD_State = 0x0F;
 break;

 case 0x08:

 CountDown();

  {} ;
 QD_State = 0x0A;
 break;

 case 0x09:
 USB_PutQueue("Should not be in unused state 0x09");
 QD_State = 0x00;
 break;

 case 0x0A:
 if (!A && !B) {
  {} ;
 QD_State = 0x02;
 }
 if (A && B) {
  {} ;
 QD_State = 0x0B;
 }
 break;

 case 0x0B:

 CountDown();

  {} ;
 QD_State = 0x0F;
 break;

 case 0x0C:
 USB_PutQueue("Should not be in unused state 0x0C");
 QD_State = 0x00;
 break;

 case 0x0D:

 CountDown();

  {} ;
 QD_State = 0x05;
 break;

 case 0x0E:

 CountUp();

  {} ;
 QD_State = 0x0A;
 break;

 case 0x0F:
 if (!A && B) {
  {} ;
 QD_State = 0x0E;
 }
 if (A && !B) {
  {} ;
 QD_State = 0x0D;
 }
 break;

 default:
 USB_PutQueue("Should not be in any other state");
 QD_State = 0x00;
 break;

 }
}
