_USBInterrupt:
;USB_Driver.c,31 :: 		void USBInterrupt() iv IVT_INT_OTG_FS ics ICS_AUTO {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Driver.c,32 :: 		USB_Interrupt_Proc();
BL	_USB_Interrupt_Proc+0
;USB_Driver.c,33 :: 		}
L_end_USBInterrupt:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USBInterrupt
_USB_Init:
;USB_Driver.c,38 :: 		void USB_Init(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Driver.c,42 :: 		HID_Enable(&readbuff,&writebuff);
MOVW	R1, #lo_addr(_writebuff+0)
MOVT	R1, #hi_addr(_writebuff+0)
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
BL	_HID_Enable+0
;USB_Driver.c,43 :: 		USB_TxQueueInit();
BL	_USB_TxQueueInit+0
;USB_Driver.c,45 :: 		}
L_end_USB_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USB_Init
_USB_TxQueueInit:
;USB_Driver.c,50 :: 		void USB_TxQueueInit(void) {
;USB_Driver.c,52 :: 		USB_Queue.in = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_USB_Queue+0)
MOVT	R0, #hi_addr(_USB_Queue+0)
STRH	R1, [R0, #0]
;USB_Driver.c,53 :: 		USB_Queue.out = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
STRH	R1, [R0, #0]
;USB_Driver.c,54 :: 		}
L_end_USB_TxQueueInit:
BX	LR
; end of _USB_TxQueueInit
_USB_PutQueue:
;USB_Driver.c,60 :: 		void USB_PutQueue(char *msg) {
;USB_Driver.c,62 :: 		USB_Queue.q[USB_Queue.in++] = msg;
MOVW	R0, #lo_addr(_USB_Queue+0)
MOVT	R0, #hi_addr(_USB_Queue+0)
LDRH	R1, [R0, #0]
MOVS	R0, #4
MULS	R1, R0, R1
MOVW	R0, #lo_addr(_USB_Queue+4)
MOVT	R0, #hi_addr(_USB_Queue+4)
ADDS	R1, R0, R1
LDR	R0, [SP, #0]
STR	R0, [R1, #0]
MOVW	R0, #lo_addr(_USB_Queue+0)
MOVT	R0, #hi_addr(_USB_Queue+0)
LDRH	R0, [R0, #0]
ADDS	R1, R0, #1
MOVW	R0, #lo_addr(_USB_Queue+0)
MOVT	R0, #hi_addr(_USB_Queue+0)
STRH	R1, [R0, #0]
;USB_Driver.c,63 :: 		if (USB_Queue.in > (USB_Queue_Size-1))
MOVW	R0, #lo_addr(_USB_Queue+0)
MOVT	R0, #hi_addr(_USB_Queue+0)
LDRH	R0, [R0, #0]
CMP	R0, #31
IT	LS
BLS	L_USB_PutQueue0
;USB_Driver.c,64 :: 		USB_Queue.in = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_USB_Queue+0)
MOVT	R0, #hi_addr(_USB_Queue+0)
STRH	R1, [R0, #0]
L_USB_PutQueue0:
;USB_Driver.c,65 :: 		}
L_end_USB_PutQueue:
BX	LR
; end of _USB_PutQueue
_USB_CheckOut:
;USB_Driver.c,73 :: 		void USB_CheckOut(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_Driver.c,75 :: 		if (USB_Queue.in != USB_Queue.out) {          // Look for a pointer in the FIFO
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_USB_Queue+0)
MOVT	R0, #hi_addr(_USB_Queue+0)
LDRH	R0, [R0, #0]
CMP	R0, R1
IT	EQ
BEQ	L_USB_CheckOut1
;USB_Driver.c,78 :: 		if (HID_Write(USB_Queue.q[USB_Queue.out],64) != 0) {
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
LDRH	R1, [R0, #0]
MOVS	R0, #4
MULS	R1, R0, R1
MOVW	R0, #lo_addr(_USB_Queue+4)
MOVT	R0, #hi_addr(_USB_Queue+4)
ADDS	R0, R0, R1
LDR	R0, [R0, #0]
MOV	R4, R0
MOVS	R1, #64
MOV	R0, R4
BL	_HID_Write+0
CMP	R0, #0
IT	EQ
BEQ	L_USB_CheckOut2
;USB_Driver.c,79 :: 		USB_Queue.out++;
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
LDRH	R0, [R0, #0]
ADDS	R1, R0, #1
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
STRH	R1, [R0, #0]
;USB_Driver.c,80 :: 		if (USB_Queue.out > (USB_Queue_Size-1))  // If past the end of array
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
LDRH	R0, [R0, #0]
CMP	R0, #31
IT	LS
BLS	L_USB_CheckOut3
;USB_Driver.c,81 :: 		USB_Queue.out = 0;                   // set pointer to start of array
MOVS	R1, #0
MOVW	R0, #lo_addr(_USB_Queue+2)
MOVT	R0, #hi_addr(_USB_Queue+2)
STRH	R1, [R0, #0]
L_USB_CheckOut3:
;USB_Driver.c,82 :: 		}
L_USB_CheckOut2:
;USB_Driver.c,83 :: 		}
L_USB_CheckOut1:
;USB_Driver.c,84 :: 		}
L_end_USB_CheckOut:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USB_CheckOut
_USB_CheckIn:
;USB_Driver.c,91 :: 		void USB_CheckIn(void) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;USB_Driver.c,94 :: 		if (HID_Read() != 0) {
BL	_HID_Read+0
CMP	R0, #0
IT	EQ
BEQ	L_USB_CheckIn4
;USB_Driver.c,95 :: 		switch (readbuff[0]) {
IT	AL
BAL	L_USB_CheckIn5
;USB_Driver.c,97 :: 		case 'a':  // Diagnostic test of USB
L_USB_CheckIn7:
;USB_Driver.c,98 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USB_Driver.c,99 :: 		sprintf(BufNum,"Command 'a' received\r\n");
MOVW	R0, #lo_addr(?lstr_1_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr_1_USB_Driver+0)
PUSH	(R0)
LDR	R0, [SP, #8]
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #8
;USB_Driver.c,100 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
PUSH	(R0)
BL	_USB_PutQueue+0
ADD	SP, SP, #4
;USB_Driver.c,101 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,102 :: 		case 'b':  // Another diagnostic test
L_USB_CheckIn8:
;USB_Driver.c,103 :: 		USB_PutQueue("Command 'b' received\r\n");
MOVW	R0, #lo_addr(?lstr2_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr2_USB_Driver+0)
PUSH	(R0)
BL	_USB_PutQueue+0
ADD	SP, SP, #4
;USB_Driver.c,104 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,110 :: 		case 'c':  // Virtual shaft encoder up direction
L_USB_CheckIn9:
;USB_Driver.c,111 :: 		if ((A == 0) && (B == 0)) {
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_USB_CheckIn12
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_USB_CheckIn12
L__USB_CheckIn71:
;USB_Driver.c,112 :: 		A = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
STRB	R1, [R0, #0]
;USB_Driver.c,113 :: 		B = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
STRB	R1, [R0, #0]
;USB_Driver.c,114 :: 		} else if ((A == 1) && (B == 0)) {
IT	AL
BAL	L_USB_CheckIn13
L_USB_CheckIn12:
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_USB_CheckIn16
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_USB_CheckIn16
L__USB_CheckIn70:
;USB_Driver.c,115 :: 		A = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
STRB	R1, [R0, #0]
;USB_Driver.c,116 :: 		B = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
STRB	R1, [R0, #0]
;USB_Driver.c,117 :: 		} else if ((A == 1) && (B == 1)) {
IT	AL
BAL	L_USB_CheckIn17
L_USB_CheckIn16:
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_USB_CheckIn20
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_USB_CheckIn20
L__USB_CheckIn69:
;USB_Driver.c,118 :: 		A = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
STRB	R1, [R0, #0]
;USB_Driver.c,119 :: 		B = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
STRB	R1, [R0, #0]
;USB_Driver.c,120 :: 		} else if ((A == 0) && (B == 1)) {
IT	AL
BAL	L_USB_CheckIn21
L_USB_CheckIn20:
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_USB_CheckIn24
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_USB_CheckIn24
L__USB_CheckIn68:
;USB_Driver.c,121 :: 		A = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
STRB	R1, [R0, #0]
;USB_Driver.c,122 :: 		B = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
STRB	R1, [R0, #0]
;USB_Driver.c,123 :: 		}
L_USB_CheckIn24:
L_USB_CheckIn21:
L_USB_CheckIn17:
L_USB_CheckIn13:
;USB_Driver.c,124 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,125 :: 		case 'd':  // Virtual shaft encoder down direction
L_USB_CheckIn25:
;USB_Driver.c,126 :: 		if ((A == 0) && (B == 0)) {
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_USB_CheckIn28
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_USB_CheckIn28
L__USB_CheckIn67:
;USB_Driver.c,127 :: 		A = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
STRB	R1, [R0, #0]
;USB_Driver.c,128 :: 		B = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
STRB	R1, [R0, #0]
;USB_Driver.c,129 :: 		} else if ((A == 0) && (B == 1)) {
IT	AL
BAL	L_USB_CheckIn29
L_USB_CheckIn28:
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_USB_CheckIn32
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_USB_CheckIn32
L__USB_CheckIn66:
;USB_Driver.c,130 :: 		A = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
STRB	R1, [R0, #0]
;USB_Driver.c,131 :: 		B = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
STRB	R1, [R0, #0]
;USB_Driver.c,132 :: 		} else if ((A == 1) && (B == 1)) {
IT	AL
BAL	L_USB_CheckIn33
L_USB_CheckIn32:
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_USB_CheckIn36
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_USB_CheckIn36
L__USB_CheckIn65:
;USB_Driver.c,133 :: 		A = 1;
MOVS	R1, #1
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
STRB	R1, [R0, #0]
;USB_Driver.c,134 :: 		B = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
STRB	R1, [R0, #0]
;USB_Driver.c,135 :: 		} else if ((A == 1) && (B == 0)) {
IT	AL
BAL	L_USB_CheckIn37
L_USB_CheckIn36:
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_USB_CheckIn40
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_USB_CheckIn40
L__USB_CheckIn64:
;USB_Driver.c,136 :: 		A = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
STRB	R1, [R0, #0]
;USB_Driver.c,137 :: 		B = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
STRB	R1, [R0, #0]
;USB_Driver.c,138 :: 		}
L_USB_CheckIn40:
L_USB_CheckIn37:
L_USB_CheckIn33:
L_USB_CheckIn29:
;USB_Driver.c,139 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,142 :: 		case 'e':  // Display A and B values
L_USB_CheckIn41:
;USB_Driver.c,143 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USB_Driver.c,144 :: 		sprintf(BufNum,"A: %d  B: %d\r\n",A,B);
MOVW	R0, #lo_addr(_B+0)
MOVT	R0, #hi_addr(_B+0)
LDRB	R0, [R0, #0]
PUSH	(R0)
MOVW	R0, #lo_addr(_A+0)
MOVT	R0, #hi_addr(_A+0)
LDRB	R0, [R0, #0]
PUSH	(R0)
MOVW	R0, #lo_addr(?lstr_3_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr_3_USB_Driver+0)
PUSH	(R0)
LDR	R0, [SP, #16]
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #16
;USB_Driver.c,145 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
PUSH	(R0)
BL	_USB_PutQueue+0
ADD	SP, SP, #4
;USB_Driver.c,146 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,149 :: 		case 'f':
L_USB_CheckIn42:
;USB_Driver.c,150 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,151 :: 		case 'g':
L_USB_CheckIn43:
;USB_Driver.c,152 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,153 :: 		case 'h':
L_USB_CheckIn44:
;USB_Driver.c,154 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,155 :: 		case 'i':
L_USB_CheckIn45:
;USB_Driver.c,156 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,157 :: 		case 'j':
L_USB_CheckIn46:
;USB_Driver.c,158 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,159 :: 		case 'k':
L_USB_CheckIn47:
;USB_Driver.c,160 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,161 :: 		case 'l':
L_USB_CheckIn48:
;USB_Driver.c,162 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,163 :: 		case 'm':
L_USB_CheckIn49:
;USB_Driver.c,164 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,165 :: 		case 'n':
L_USB_CheckIn50:
;USB_Driver.c,166 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,167 :: 		case 'o':
L_USB_CheckIn51:
;USB_Driver.c,168 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,169 :: 		case 'p':
L_USB_CheckIn52:
;USB_Driver.c,170 :: 		value = !value;
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
MOVW	R1, #0
BNE	L__USB_CheckIn78
MOVS	R1, #1
L__USB_CheckIn78:
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
STRB	R1, [R0, #0]
;USB_Driver.c,171 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USB_Driver.c,172 :: 		sprintf(BufNum,"value: %02X\r\n",value);
MOVW	R0, #lo_addr(_value+0)
MOVT	R0, #hi_addr(_value+0)
LDRB	R0, [R0, #0]
PUSH	(R0)
MOVW	R0, #lo_addr(?lstr_4_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr_4_USB_Driver+0)
PUSH	(R0)
LDR	R0, [SP, #12]
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USB_Driver.c,173 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
PUSH	(R0)
BL	_USB_PutQueue+0
ADD	SP, SP, #4
;USB_Driver.c,174 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,175 :: 		case 'q':
L_USB_CheckIn53:
;USB_Driver.c,176 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,177 :: 		case 'r':
L_USB_CheckIn54:
;USB_Driver.c,178 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,179 :: 		case 's':
L_USB_CheckIn55:
;USB_Driver.c,180 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,181 :: 		case 't':
L_USB_CheckIn56:
;USB_Driver.c,182 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,183 :: 		case 'u':
L_USB_CheckIn57:
;USB_Driver.c,184 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,185 :: 		case 'v':
L_USB_CheckIn58:
;USB_Driver.c,186 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,187 :: 		case 'w':
L_USB_CheckIn59:
;USB_Driver.c,188 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,189 :: 		case 'x':
L_USB_CheckIn60:
;USB_Driver.c,190 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,191 :: 		case 'y':
L_USB_CheckIn61:
;USB_Driver.c,192 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,193 :: 		case 'z':
L_USB_CheckIn62:
;USB_Driver.c,194 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,198 :: 		default:  // Catch all other unimplemented commands
L_USB_CheckIn63:
;USB_Driver.c,199 :: 		BufNum = GetBuffer();  // Get a free buffer
BL	_GetBuffer+0
STR	R0, [SP, #4]
;USB_Driver.c,200 :: 		(void)sprintf(BufNum,"Unknown command: %c\r\n",readbuff[0]);
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
PUSH	(R0)
MOVW	R0, #lo_addr(?lstr_5_USB_Driver+0)
MOVT	R0, #hi_addr(?lstr_5_USB_Driver+0)
PUSH	(R0)
LDR	R0, [SP, #12]
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
;USB_Driver.c,201 :: 		USB_PutQueue(BufNum);
LDR	R0, [SP, #4]
PUSH	(R0)
BL	_USB_PutQueue+0
ADD	SP, SP, #4
;USB_Driver.c,202 :: 		break;
IT	AL
BAL	L_USB_CheckIn6
;USB_Driver.c,203 :: 		}
L_USB_CheckIn5:
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #97
IT	EQ
BEQ	L_USB_CheckIn7
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #98
IT	EQ
BEQ	L_USB_CheckIn8
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #99
IT	EQ
BEQ	L_USB_CheckIn9
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #100
IT	EQ
BEQ	L_USB_CheckIn25
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #101
IT	EQ
BEQ	L_USB_CheckIn41
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #102
IT	EQ
BEQ	L_USB_CheckIn42
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #103
IT	EQ
BEQ	L_USB_CheckIn43
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #104
IT	EQ
BEQ	L_USB_CheckIn44
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #105
IT	EQ
BEQ	L_USB_CheckIn45
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #106
IT	EQ
BEQ	L_USB_CheckIn46
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #107
IT	EQ
BEQ	L_USB_CheckIn47
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #108
IT	EQ
BEQ	L_USB_CheckIn48
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #109
IT	EQ
BEQ	L_USB_CheckIn49
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #110
IT	EQ
BEQ	L_USB_CheckIn50
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #111
IT	EQ
BEQ	L_USB_CheckIn51
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #112
IT	EQ
BEQ	L_USB_CheckIn52
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #113
IT	EQ
BEQ	L_USB_CheckIn53
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #114
IT	EQ
BEQ	L_USB_CheckIn54
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #115
IT	EQ
BEQ	L_USB_CheckIn55
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #116
IT	EQ
BEQ	L_USB_CheckIn56
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #117
IT	EQ
BEQ	L_USB_CheckIn57
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #118
IT	EQ
BEQ	L_USB_CheckIn58
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #119
IT	EQ
BEQ	L_USB_CheckIn59
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #120
IT	EQ
BEQ	L_USB_CheckIn60
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #121
IT	EQ
BEQ	L_USB_CheckIn61
MOVW	R0, #lo_addr(_readbuff+0)
MOVT	R0, #hi_addr(_readbuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #122
IT	EQ
BEQ	L_USB_CheckIn62
IT	AL
BAL	L_USB_CheckIn63
L_USB_CheckIn6:
;USB_Driver.c,204 :: 		}
L_USB_CheckIn4:
;USB_Driver.c,205 :: 		}
L_end_USB_CheckIn:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _USB_CheckIn
