#line 1 "C:/ARM Projects/MINI-M4 for STM32/Decoder/USB_Driver.c"
#line 1 "c:/arm projects/mini-m4 for stm32/decoder/usb_driver.h"
#line 11 "c:/arm projects/mini-m4 for stm32/decoder/usb_driver.h"
typedef char *pnt;


typedef struct USB_TxStruct {
 unsigned int in;
 unsigned int out;
 pnt q[ 32 ];
}USB_TxStruct;



void USB_Init(void);
void USB_TxQueueInit(void);
void USB_PutQueue(char *msg);
void USB_CheckOut(void);
void USB_CheckIn(void);





void WriteToMemo(char *msg, unsigned int Color);
void AppendToMemo(char *msg, unsigned int Color);
#line 1 "c:/arm projects/mini-m4 for stm32/decoder/buffers.h"
#line 13 "c:/arm projects/mini-m4 for stm32/decoder/buffers.h"
char* GetBuffer(void);
#line 11 "C:/ARM Projects/MINI-M4 for STM32/Decoder/USB_Driver.c"
sbit Compass_DRDY at GPIOD_IDR.B1;
sbit Compass_INT at GPIOC_IDR.B1;



char readbuff[64];
char writebuff[64];

USB_TxStruct USB_Queue;

extern char A;
extern char B;

 char value = 0;
#line 31 "C:/ARM Projects/MINI-M4 for STM32/Decoder/USB_Driver.c"
void USBInterrupt() iv IVT_INT_OTG_FS ics ICS_AUTO {
 USB_Interrupt_Proc();
}
#line 38 "C:/ARM Projects/MINI-M4 for STM32/Decoder/USB_Driver.c"
void USB_Init(void) {



 HID_Enable(&readbuff,&writebuff);
 USB_TxQueueInit();

}
#line 50 "C:/ARM Projects/MINI-M4 for STM32/Decoder/USB_Driver.c"
void USB_TxQueueInit(void) {

 USB_Queue.in = 0;
 USB_Queue.out = 0;
}
#line 60 "C:/ARM Projects/MINI-M4 for STM32/Decoder/USB_Driver.c"
void USB_PutQueue(char *msg) {

 USB_Queue.q[USB_Queue.in++] = msg;
 if (USB_Queue.in > ( 32 -1))
 USB_Queue.in = 0;
}
#line 73 "C:/ARM Projects/MINI-M4 for STM32/Decoder/USB_Driver.c"
void USB_CheckOut(void) {

 if (USB_Queue.in != USB_Queue.out) {


 if (HID_Write(USB_Queue.q[USB_Queue.out],64) != 0) {
 USB_Queue.out++;
 if (USB_Queue.out > ( 32 -1))
 USB_Queue.out = 0;
 }
 }
}
#line 91 "C:/ARM Projects/MINI-M4 for STM32/Decoder/USB_Driver.c"
void USB_CheckIn(void) {
 char *BufNum;

 if (HID_Read() != 0) {
 switch (readbuff[0]) {

 case 'a':
 BufNum = GetBuffer();
 sprintf(BufNum,"Command 'a' received\r\n");
 USB_PutQueue(BufNum);
 break;
 case 'b':
 USB_PutQueue("Command 'b' received\r\n");
 break;





 case 'c':
 if ((A == 0) && (B == 0)) {
 A = 1;
 B = 0;
 } else if ((A == 1) && (B == 0)) {
 A = 1;
 B = 1;
 } else if ((A == 1) && (B == 1)) {
 A = 0;
 B = 1;
 } else if ((A == 0) && (B == 1)) {
 A = 0;
 B = 0;
 }
 break;
 case 'd':
 if ((A == 0) && (B == 0)) {
 A = 0;
 B = 1;
 } else if ((A == 0) && (B == 1)) {
 A = 1;
 B = 1;
 } else if ((A == 1) && (B == 1)) {
 A = 1;
 B = 0;
 } else if ((A == 1) && (B == 0)) {
 A = 0;
 B = 0;
 }
 break;


 case 'e':
 BufNum = GetBuffer();
 sprintf(BufNum,"A: %d  B: %d\r\n",A,B);
 USB_PutQueue(BufNum);
 break;


 case 'f':
 break;
 case 'g':
 break;
 case 'h':
 break;
 case 'i':
 break;
 case 'j':
 break;
 case 'k':
 break;
 case 'l':
 break;
 case 'm':
 break;
 case 'n':
 break;
 case 'o':
 break;
 case 'p':
 value = !value;
 BufNum = GetBuffer();
 sprintf(BufNum,"value: %02X\r\n",value);
 USB_PutQueue(BufNum);
 break;
 case 'q':
 break;
 case 'r':
 break;
 case 's':
 break;
 case 't':
 break;
 case 'u':
 break;
 case 'v':
 break;
 case 'w':
 break;
 case 'x':
 break;
 case 'y':
 break;
 case 'z':
 break;



 default:
 BufNum = GetBuffer();
 (void)sprintf(BufNum,"Unknown command: %c\r\n",readbuff[0]);
 USB_PutQueue(BufNum);
 break;
 }
 }
}
